#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Networks.Programmable;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Networks {
  [Item("KSPTSPConnector", "A node of an optimization network which connects a KSP and a TSP.")]
  [StorableClass]
  public class KSPTSPConnector : ProgrammableNode {
    protected override string CodeTemplate {
      get { return CodeResources.KSPTSPConnectorCode; }
    }

    [StorableConstructor]
    protected KSPTSPConnector(bool deserializing) : base(deserializing) { }
    protected KSPTSPConnector(KSPTSPConnector original, Cloner cloner) : base(original, cloner) { }
    public KSPTSPConnector() : base("KSPTSPConnector") { }
    public KSPTSPConnector(string name) : base(name) { }
    public KSPTSPConnector(string name, string description) : base(name, description) { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new KSPTSPConnector(this, cloner);
    }
  }
}
